from django.db import models
from django.utils.translation import ugettext as _

HOTSPOT_CHOICES = (
    ('pfsense', 'pfSense'),
    ('meraki', 'Cisco Meraki')
)


class Organization(models.Model):
    name = models.CharField(_('Name'), max_length=128)
    slug = models.SlugField(max_length=128)
    hotspot_url = models.CharField(_('Hotspot url'), max_length=128,
                                   null=True, blank=True)
    hotspot_type = models.CharField(_('Hotspot type'),
                                    choices=HOTSPOT_CHOICES,
                                    max_length=32)


class OrganizationMember(models.Model):
    customer = models.ForeignKey(Organization)
    epti = models.CharField(max_length=128)
    entity_id = models.CharField(max_length=256)


class TemporaryAccount(models.Model):
    organization = models.ForeignKey(Organization)
    username = models.CharField(_('Username'), max_length=128)
    creation_date = models.DateTimeField(auto_now_add=True)
    password = models.CharField(_('Password'), max_length=128)
    voucher = models.CharField(_('Voucher'), max_length=128)
